Subject: bug#73777: set-fontset-font doesn't set :size for specific characters when using some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Oct 2024 09:36:51 +0300

> From: Rodrigo Morales <[email-masked]>
> CC: <[email-masked]>
> Date: Fri, 18 Oct 2024 19:55:39 -0500
> 
> >  . did you reset use-default-font-for-symbols to nil? without that,
> >    Emacs prefers to use the default face's font for punctuation and
> >    symbols, effectively disregarding the fontsets
> 
> No. I didn't know that the variable use-default-font-for-symbols existed
> when I wrote that message. Now that I know of its existence, I believe
> that Emacs behaves consistently with regards to what I mentioned in my
> first message.
> 
> >  . which fonts did you find problematic in this case? you say
> >    "specific fonts", but it is not clear which fonts exhibit this
> >    behavior
> 
> I thought that the font which was problematic was "Noto Sans Mono"
> because when I used that font (in "Experiment 1" and "Experiment 2"), I
> could not increase the size of the character “ (#x201C, LEFT DOUBLE
> QUOTATION MARK) by evaluating (set-fontset-font t ?“ (font-spec :family
> "Noto Sans Mono" :size 50)), . However, when I used "Fixed 5" (in
> "Experiment 3"), evaluating (set-fontset-font t ?“ (font-spec :family
> "Noto Sans Mono" :size 50)) did increase the size of the character
> (#x201C, LEFT DOUBLE QUOTATION MARK).
> 
> Now that I know that the variable use-default-font-for-symbols controls
> whether Emacs should honor fontsets, I don't think there's a problematic
> font, instead it was my fault for not correctly knowing the variable
> that instruct Emacs that it shoud honor fontsets.

It's an obscure variable, not mentioned in any manuals (because we
don't believe someone will want to specify a separate font for
punctuation characters).  It's a little wonder you didn't know about
it.

So does this mean we can now close this bug?  Or are there any
left-overs we still need to handle?